Page MenuHomePhabricator

[mips] Honour -mno-odd-spreg for vector insert/extract when MSA is enabled.
ClosedPublic

Authored by dsanders on Feb 16 2015, 8:24 AM.

Details

Summary

-mno-odd-spreg prohibits the use of odd-numbered single-precision floating
point registers. However, vector insert/extract was still using them when
manipulating the subregisters of an MSA register. Fixed this by ensuring
that insertion/extraction is only performed on even-numbered vector
registers when -mno-odd-spreg is given.

Diff Detail

Event Timeline

dsanders updated this revision to Diff 20035.Feb 16 2015, 8:24 AM
dsanders retitled this revision from to [mips] Honour -mno-odd-spreg for vector insert/extract when MSA is enabled..
dsanders updated this object.
dsanders edited the test plan for this revision. (Show Details)
dsanders added reviewers: vmedic, sstankovic.
dsanders added a subscriber: Unknown Object (MLST).
sstankovic accepted this revision.Feb 19 2015, 6:06 AM
sstankovic edited edge metadata.
This revision is now accepted and ready to land.Feb 19 2015, 6:06 AM
dsanders closed this revision.Feb 23 2015, 9:24 AM